| Qore QUnit Module Reference 0.4.3

Public Member Functions | Protected Attributes | List of all members
QUnit::TestCase Class Reference

Class containing the configuration for a test case. More...

## Public Member Functions
| checkException (QUnit::Test test, hash< auto > e)
| handles exceptions raised while running the TestCase
| constructor (string name, code code, *softlist< auto > args)
| creates the TestCase object from the given arguments
string | getName ()
| returns the test case name
| rename (string n_name)
| renames the test case
| run (QUnit::Test test)
| runs the TestCase

## Protected Attributes
*list< auto > | m_args
| arguments to the above callable object
code | m_code
| the body of the test case
string | m_name
| the name of the test case
int | num_asserts = 0
| number of assertions in current test case
int | num_asserts_ok = 0
| number of successful assertions in current test case
int | num_asserts_skip = 0
| number of skipped assertions in current test case
auto | saved_tc
| any saved test case

## Detailed Description

Class containing the configuration for a test case.